/**
 *
 * Copyright (c) 2006-2018, Speedment, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); You may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.company.sakila.generated;

import com.speedment.common.annotation.GeneratedCode;
import com.speedment.runtime.application.AbstractApplicationMetadata;
import java.util.Optional;
import java.util.stream.Stream;

/**
 * A {@link com.speedment.runtime.core.ApplicationMetadata} class for the {@link
 * com.speedment.runtime.config.Project} named sakila. This class contains the
 * meta data present at code generation time.
 * <p>
 * This file has been automatically generated by Speedment. Any changes made to
 * it will be overwritten.
 * 
 * @author Speedment
 */
@GeneratedCode("Speedment")
public class GeneratedSakilaMetadata extends AbstractApplicationMetadata {
    
    private final static String METADATA = init();
    
    private static String init() {
        final StringBuilder sb = new StringBuilder();
        initPart0(sb);
        initPart1(sb);
        initPart2(sb);
        initPart3(sb);
        initPart4(sb);
        initPart5(sb);
        initPart6(sb);
        initPart7(sb);
        initPart8(sb);
        initPart9(sb);
        initPart10(sb);
        initPart11(sb);
        initPart12(sb);
        initPart13(sb);
        initPart14(sb);
        initPart15(sb);
        initPart16(sb);
        initPart17(sb);
        initPart18(sb);
        initPart19(sb);
        initPart20(sb);
        initPart21(sb);
        initPart22(sb);
        initPart23(sb);
        return sb.toString();
    }
    
    @Override
    protected Optional<String> getMetadata() {
        return Optional.of(METADATA);
    }
    
    private static void initPart0(StringBuilder sb) {
        Stream.of(
            "{",
            "  \"config\" : {",
            "    \"appId\" : \"3a4ca9ae-9edc-496d-9fe3-38e607885df5\",",
            "    \"companyName\" : \"company\",",
            "    \"dbmses\" : [",
            "      {",
            "        \"enabled\" : true,",
            "        \"expanded\" : true,",
            "        \"id\" : \"db0\",",
            "        \"ipAddress\" : \"127.0.0.1\",",
            "        \"name\" : \"db0\",",
            "        \"port\" : 3306,",
            "        \"schemas\" : [",
            "          {",
            "            \"enabled\" : true,",
            "            \"expanded\" : true,",
            "            \"id\" : \"sakila\",",
            "            \"name\" : \"sakila\",",
            "            \"tables\" : [",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"actor_id\",",
            "                    \"name\" : \"actor_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"first_name\",",
            "                    \"name\" : \"first_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_name\",",
            "                    \"name\" : \"last_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"id\" : \"actor\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"actor_id\",",
            "                        \"name\" : \"actor_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_actor_last_name\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"last_name\",",
            "                        \"name\" : \"last_name\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_actor_last_name\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"actor\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart1(StringBuilder sb) {
        Stream.of(
            "                    \"expanded\" : true,",
            "                    \"id\" : \"actor_id\",",
            "                    \"name\" : \"actor_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address_id\",",
            "                    \"name\" : \"address_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address\",",
            "                    \"name\" : \"address\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address2\",",
            "                    \"name\" : \"address2\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 3",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"district\",",
            "                    \"name\" : \"district\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"city_id\",",
            "                    \"name\" : \"city_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 5,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"postal_code\",",
            "                    \"name\" : \"postal_code\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 6",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"phone\",",
            "                    \"name\" : \"phone\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7",
            "                  },",
            "                  {",
            "                    \"autoIncrement\" : false,",
            "                    \"databaseType\" : \"java.sql.Blob\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"location\",",
            "                    \"name\" : \"location\",",
            "                    \"nullable\" : false,",
            "                    \"nullableImplementation\" : \"OPTIONAL\",",
            "                    \"ordinalPosition\" : 8",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 9",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart2(StringBuilder sb) {
        Stream.of(
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"city_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"city\",",
            "                        \"id\" : \"city_id\",",
            "                        \"name\" : \"city_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_address_city\",",
            "                    \"name\" : \"fk_address_city\"",
            "                  }",
            "                ],",
            "                \"id\" : \"address\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_city_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"city_id\",",
            "                        \"name\" : \"city_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_city_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_location\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"location\",",
            "                        \"name\" : \"location\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_location\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"address\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address_id\",",
            "                    \"name\" : \"address_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"category_id\",",
            "                    \"name\" : \"category_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"name\",",
            "                    \"name\" : \"name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart3(StringBuilder sb) {
        Stream.of(
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"id\" : \"category\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"category_id\",",
            "                        \"name\" : \"category_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  }",
            "                ],",
            "                \"name\" : \"category\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"category_id\",",
            "                    \"name\" : \"category_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"city_id\",",
            "                    \"name\" : \"city_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"city\",",
            "                    \"name\" : \"city\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"country_id\",",
            "                    \"name\" : \"country_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"country_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"country\",",
            "                        \"id\" : \"country_id\",",
            "                        \"name\" : \"country_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart4(StringBuilder sb) {
        Stream.of(
            "                    ],",
            "                    \"id\" : \"fk_city_country\",",
            "                    \"name\" : \"fk_city_country\"",
            "                  }",
            "                ],",
            "                \"id\" : \"city\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"city_id\",",
            "                        \"name\" : \"city_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_country_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"country_id\",",
            "                        \"name\" : \"country_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_country_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"city\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"city_id\",",
            "                    \"name\" : \"city_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"country_id\",",
            "                    \"name\" : \"country_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"country\",",
            "                    \"name\" : \"country\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"id\" : \"country\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"country_id\",",
            "                        \"name\" : \"country_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart5(StringBuilder sb) {
        Stream.of(
            "                    \"unique\" : true",
            "                  }",
            "                ],",
            "                \"name\" : \"country\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"country_id\",",
            "                    \"name\" : \"country_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"customer_id\",",
            "                    \"name\" : \"customer_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"store_id\",",
            "                    \"name\" : \"store_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"first_name\",",
            "                    \"name\" : \"first_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_name\",",
            "                    \"name\" : \"last_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"email\",",
            "                    \"name\" : \"email\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 5",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address_id\",",
            "                    \"name\" : \"address_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 6,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"active\",",
            "                    \"name\" : \"active\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"create_date\",",
            "                    \"name\" : \"create_date\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 8",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 9"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart6(StringBuilder sb) {
        Stream.of(
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"address_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"address\",",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_customer_address\",",
            "                    \"name\" : \"fk_customer_address\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"store_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"store\",",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_customer_store\",",
            "                    \"name\" : \"fk_customer_store\"",
            "                  }",
            "                ],",
            "                \"id\" : \"customer\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"customer_id\",",
            "                        \"name\" : \"customer_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_address_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_address_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_store_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_store_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_last_name\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"last_name\",",
            "                        \"name\" : \"last_name\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart7(StringBuilder sb) {
        Stream.of(
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_last_name\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"customer\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"customer_id\",",
            "                    \"name\" : \"customer_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"title\",",
            "                    \"name\" : \"title\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"description\",",
            "                    \"name\" : \"description\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 3",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Date\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"release_year\",",
            "                    \"name\" : \"release_year\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 4",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"language_id\",",
            "                    \"name\" : \"language_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 5,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"original_language_id\",",
            "                    \"name\" : \"original_language_id\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 6",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_duration\",",
            "                    \"name\" : \"rental_duration\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.math.BigDecimal\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_rate\",",
            "                    \"name\" : \"rental_rate\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 8",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart8(StringBuilder sb) {
        Stream.of(
            "                    \"id\" : \"length\",",
            "                    \"name\" : \"length\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 9",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.math.BigDecimal\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"replacement_cost\",",
            "                    \"name\" : \"replacement_cost\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 10",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"enumConstants\" : \"G,PG,PG-13,R,NC-17\",",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rating\",",
            "                    \"name\" : \"rating\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 11",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"special_features\",",
            "                    \"name\" : \"special_features\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 12",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 13",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"language_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"language\",",
            "                        \"id\" : \"language_id\",",
            "                        \"name\" : \"language_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_language\",",
            "                    \"name\" : \"fk_film_language\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"language_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"language\",",
            "                        \"id\" : \"original_language_id\",",
            "                        \"name\" : \"original_language_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_language_original\",",
            "                    \"name\" : \"fk_film_language_original\"",
            "                  }",
            "                ],",
            "                \"id\" : \"film\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart9(StringBuilder sb) {
        Stream.of(
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_film_rating\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"rating\",",
            "                        \"name\" : \"rating\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_film_rating\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_language_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"language_id\",",
            "                        \"name\" : \"language_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_language_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_original_language_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"original_language_id\",",
            "                        \"name\" : \"original_language_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_original_language_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_title\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"title\",",
            "                        \"name\" : \"title\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_title\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"film\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"actor_id\",",
            "                    \"name\" : \"actor_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart10(StringBuilder sb) {
        Stream.of(
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"actor_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"actor\",",
            "                        \"id\" : \"actor_id\",",
            "                        \"name\" : \"actor_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_actor_actor\",",
            "                    \"name\" : \"fk_film_actor_actor\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"film_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"film\",",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_actor_film\",",
            "                    \"name\" : \"fk_film_actor_film\"",
            "                  }",
            "                ],",
            "                \"id\" : \"film_actor\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"actor_id\",",
            "                        \"name\" : \"actor_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      },",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 2",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_film_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_film_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"film_actor\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"actor_id\",",
            "                    \"name\" : \"actor_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart11(StringBuilder sb) {
        Stream.of(
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"ordinalPosition\" : 2",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"category_id\",",
            "                    \"name\" : \"category_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"category_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"category\",",
            "                        \"id\" : \"category_id\",",
            "                        \"name\" : \"category_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_category_category\",",
            "                    \"name\" : \"fk_film_category_category\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"film_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"film\",",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_film_category_film\",",
            "                    \"name\" : \"fk_film_category_film\"",
            "                  }",
            "                ],",
            "                \"id\" : \"film_category\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      },",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"category_id\",",
            "                        \"name\" : \"category_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 2",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart12(StringBuilder sb) {
        Stream.of(
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"fk_film_category_category\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"category_id\",",
            "                        \"name\" : \"category_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"fk_film_category_category\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"film_category\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"category_id\",",
            "                    \"name\" : \"category_id\",",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"title\",",
            "                    \"name\" : \"title\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"description\",",
            "                    \"name\" : \"description\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"id\" : \"film_text\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_title_description\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"title\",",
            "                        \"name\" : \"title\",",
            "                        \"orderType\" : \"NONE\",",
            "                        \"ordinalPosition\" : 1",
            "                      },",
            "                      {"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart13(StringBuilder sb) {
        Stream.of(
            "                        \"expanded\" : true,",
            "                        \"id\" : \"description\",",
            "                        \"name\" : \"description\",",
            "                        \"orderType\" : \"NONE\",",
            "                        \"ordinalPosition\" : 2",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_title_description\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"film_text\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"inventory_id\",",
            "                    \"name\" : \"inventory_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"film_id\",",
            "                    \"name\" : \"film_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"store_id\",",
            "                    \"name\" : \"store_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"film_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"film\",",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_inventory_film\",",
            "                    \"name\" : \"fk_inventory_film\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"store_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"store\",",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart14(StringBuilder sb) {
        Stream.of(
            "                    \"id\" : \"fk_inventory_store\",",
            "                    \"name\" : \"fk_inventory_store\"",
            "                  }",
            "                ],",
            "                \"id\" : \"inventory\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"inventory_id\",",
            "                        \"name\" : \"inventory_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_film_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_film_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_store_id_film_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      },",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"film_id\",",
            "                        \"name\" : \"film_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 2",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_store_id_film_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"inventory\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"inventory_id\",",
            "                    \"name\" : \"inventory_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"language_id\",",
            "                    \"name\" : \"language_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"name\",",
            "                    \"name\" : \"name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart15(StringBuilder sb) {
        Stream.of(
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"id\" : \"language\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"language_id\",",
            "                        \"name\" : \"language_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  }",
            "                ],",
            "                \"name\" : \"language\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"language_id\",",
            "                    \"name\" : \"language_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"payment_id\",",
            "                    \"name\" : \"payment_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"customer_id\",",
            "                    \"name\" : \"customer_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"staff_id\",",
            "                    \"name\" : \"staff_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_id\",",
            "                    \"name\" : \"rental_id\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 4",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.math.BigDecimal\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"amount\",",
            "                    \"name\" : \"amount\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 5",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"payment_date\",",
            "                    \"name\" : \"payment_date\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 6",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart16(StringBuilder sb) {
        Stream.of(
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"customer_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"customer\",",
            "                        \"id\" : \"customer_id\",",
            "                        \"name\" : \"customer_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_payment_customer\",",
            "                    \"name\" : \"fk_payment_customer\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"rental_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"rental\",",
            "                        \"id\" : \"rental_id\",",
            "                        \"name\" : \"rental_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_payment_rental\",",
            "                    \"name\" : \"fk_payment_rental\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"staff_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"staff\",",
            "                        \"id\" : \"staff_id\",",
            "                        \"name\" : \"staff_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_payment_staff\",",
            "                    \"name\" : \"fk_payment_staff\"",
            "                  }",
            "                ],",
            "                \"id\" : \"payment\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"payment_id\",",
            "                        \"name\" : \"payment_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"fk_payment_rental\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"rental_id\",",
            "                        \"name\" : \"rental_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"fk_payment_rental\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_customer_id\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart17(StringBuilder sb) {
        Stream.of(
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"customer_id\",",
            "                        \"name\" : \"customer_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_customer_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_staff_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"staff_id\",",
            "                        \"name\" : \"staff_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_staff_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"payment\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"payment_id\",",
            "                    \"name\" : \"payment_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_id\",",
            "                    \"name\" : \"rental_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_date\",",
            "                    \"name\" : \"rental_date\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"inventory_id\",",
            "                    \"name\" : \"inventory_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"customer_id\",",
            "                    \"name\" : \"customer_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"return_date\",",
            "                    \"name\" : \"return_date\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 5",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"staff_id\",",
            "                    \"name\" : \"staff_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 6,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart18(StringBuilder sb) {
        Stream.of(
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"customer_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"customer\",",
            "                        \"id\" : \"customer_id\",",
            "                        \"name\" : \"customer_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_rental_customer\",",
            "                    \"name\" : \"fk_rental_customer\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"inventory_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"inventory\",",
            "                        \"id\" : \"inventory_id\",",
            "                        \"name\" : \"inventory_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_rental_inventory\",",
            "                    \"name\" : \"fk_rental_inventory\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"staff_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"staff\",",
            "                        \"id\" : \"staff_id\",",
            "                        \"name\" : \"staff_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_rental_staff\",",
            "                    \"name\" : \"fk_rental_staff\"",
            "                  }",
            "                ],",
            "                \"id\" : \"rental\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"rental_id\",",
            "                        \"name\" : \"rental_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"rental_date\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"rental_date\",",
            "                        \"name\" : \"rental_date\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      },",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"customer_id\","
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart19(StringBuilder sb) {
        Stream.of(
            "                        \"name\" : \"customer_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 3",
            "                      },",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"inventory_id\",",
            "                        \"name\" : \"inventory_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 2",
            "                      }",
            "                    ],",
            "                    \"name\" : \"rental_date\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_customer_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"customer_id\",",
            "                        \"name\" : \"customer_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_customer_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_inventory_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"inventory_id\",",
            "                        \"name\" : \"inventory_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_inventory_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_staff_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"staff_id\",",
            "                        \"name\" : \"staff_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_staff_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"rental\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"rental_id\",",
            "                    \"name\" : \"rental_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"staff_id\",",
            "                    \"name\" : \"staff_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"first_name\",",
            "                    \"name\" : \"first_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart20(StringBuilder sb) {
        Stream.of(
            "                    \"id\" : \"last_name\",",
            "                    \"name\" : \"last_name\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address_id\",",
            "                    \"name\" : \"address_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Blob\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"picture\",",
            "                    \"name\" : \"picture\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 5",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"email\",",
            "                    \"name\" : \"email\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 6",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"store_id\",",
            "                    \"name\" : \"store_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 7,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"autoIncrement\" : false,",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"active\",",
            "                    \"name\" : \"active\",",
            "                    \"nameProtected\" : true,",
            "                    \"nullable\" : false,",
            "                    \"nullableImplementation\" : \"OPTIONAL\",",
            "                    \"ordinalPosition\" : 8,",
            "                    \"typeMapper\" : \"com.speedment.example.typemapper.IntegerZeroOneToYesNoTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"username\",",
            "                    \"name\" : \"username\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 9",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.String\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"password\",",
            "                    \"name\" : \"password\",",
            "                    \"nullable\" : true,",
            "                    \"ordinalPosition\" : 10",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 11",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"address_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"address\",",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart21(StringBuilder sb) {
        Stream.of(
            "                    ],",
            "                    \"id\" : \"fk_staff_address\",",
            "                    \"name\" : \"fk_staff_address\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"store_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"store\",",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_staff_store\",",
            "                    \"name\" : \"fk_staff_store\"",
            "                  }",
            "                ],",
            "                \"id\" : \"staff\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"staff_id\",",
            "                        \"name\" : \"staff_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_address_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_address_id\",",
            "                    \"unique\" : false",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_store_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_store_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"staff\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"staff_id\",",
            "                    \"name\" : \"staff_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              },",
            "              {",
            "                \"columns\" : [",
            "                  {",
            "                    \"autoIncrement\" : true,",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"store_id\",",
            "                    \"name\" : \"store_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 1,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Short\",",
            "                    \"enabled\" : true,"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart22(StringBuilder sb) {
        Stream.of(
            "                    \"expanded\" : true,",
            "                    \"id\" : \"manager_staff_id\",",
            "                    \"name\" : \"manager_staff_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 2,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.lang.Integer\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"address_id\",",
            "                    \"name\" : \"address_id\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 3,",
            "                    \"typeMapper\" : \"com.speedment.runtime.typemapper.primitive.PrimitiveTypeMapper\"",
            "                  },",
            "                  {",
            "                    \"databaseType\" : \"java.sql.Timestamp\",",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"last_update\",",
            "                    \"name\" : \"last_update\",",
            "                    \"nullable\" : false,",
            "                    \"ordinalPosition\" : 4",
            "                  }",
            "                ],",
            "                \"enabled\" : true,",
            "                \"expanded\" : true,",
            "                \"foreignKeys\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"address_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"address\",",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_store_address\",",
            "                    \"name\" : \"fk_store_address\"",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"foreignKeyColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"foreignColumnName\" : \"staff_id\",",
            "                        \"foreignDatabaseName\" : \"db0\",",
            "                        \"foreignSchemaName\" : \"sakila\",",
            "                        \"foreignTableName\" : \"staff\",",
            "                        \"id\" : \"manager_staff_id\",",
            "                        \"name\" : \"manager_staff_id\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"id\" : \"fk_store_staff\",",
            "                    \"name\" : \"fk_store_staff\"",
            "                  }",
            "                ],",
            "                \"id\" : \"store\",",
            "                \"indexes\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_unique_manager\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"manager_staff_id\",",
            "                        \"name\" : \"manager_staff_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_unique_manager\",",
            "                    \"unique\" : true",
            "                  },",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"PRIMARY\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"store_id\",",
            "                        \"name\" : \"store_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"PRIMARY\",",
            "                    \"unique\" : true",
            "                  },"
        ).forEachOrdered(sb::append);
    }
    
    private static void initPart23(StringBuilder sb) {
        Stream.of(
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : false,",
            "                    \"id\" : \"idx_fk_address_id\",",
            "                    \"indexColumns\" : [",
            "                      {",
            "                        \"expanded\" : true,",
            "                        \"id\" : \"address_id\",",
            "                        \"name\" : \"address_id\",",
            "                        \"orderType\" : \"ASC\",",
            "                        \"ordinalPosition\" : 1",
            "                      }",
            "                    ],",
            "                    \"name\" : \"idx_fk_address_id\",",
            "                    \"unique\" : false",
            "                  }",
            "                ],",
            "                \"name\" : \"store\",",
            "                \"primaryKeyColumns\" : [",
            "                  {",
            "                    \"enabled\" : true,",
            "                    \"expanded\" : true,",
            "                    \"id\" : \"store_id\",",
            "                    \"name\" : \"store_id\",",
            "                    \"ordinalPosition\" : 1",
            "                  }",
            "                ]",
            "              }",
            "            ]",
            "          }",
            "        ],",
            "        \"typeName\" : \"MySQL\",",
            "        \"username\" : \"sakila-user\"",
            "      }",
            "    ],",
            "    \"enabled\" : true,",
            "    \"expanded\" : true,",
            "    \"id\" : \"sakila\",",
            "    \"name\" : \"sakila\",",
            "    \"nameProtected\" : false,",
            "    \"packageLocation\" : \"src/main/java/\",",
            "    \"speedmentVersion\" : \"Speedment:3.1.0-SNAPSHOT\"",
            "  }",
            "}"
        ).forEachOrdered(sb::append);
    }
}